Subject: Re: Win32 GDB specific problem
From: Pierre Muller <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 03 Aug 2001 15:15:20 +0200

At 15:04 03/08/01 , Robert Collins a écrit:
>On 03 Aug 2001 14:15:14 +0200, Pierre Muller wrote:
> >    I am one of the persons that wrote the
> > Text Mode IDE for Free Pascal Compiler.
> >
> >    This Text Mode IDE includes GDB inside the executable
> > and it can both compile, run noramlly and debug a
> > given pascal source.
> >
> >    For go32v2 (based on DJGPP) and Linux
> > the repetition of compilation, debugging, editing, recompilation
> > works without problems, but this fails for Win32 version.
> > Once a file as been run under the internal debugger,
> > there is no way to recompile it !
> > Cygwin GDB does have the same problem.
>Have you tried detaching from the process? once the debugger detach's
>the file handle should be rreleased.

No this doesn't change anything !

   Reading carefully the WinAPI documentation,
I saw that only the calling thread can access WaitForDebugEvent.

   Maybe if we start a new threead for each run and exit that thread
after the program is terminated, that would release all handles ?

   I am too bad C and WinAPI programmer to test this out myself :(

Pierre Muller
Institut Charles Sadron
6,rue Boussingault
F 67083 STRASBOURG CEDEX (France)
mailto:[email-masked]
Phone : (33)-3-88-41-40-07  Fax : (33)-3-88-41-40-99

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/